<?xml version="1.0" encoding="iso-8859-1"?>


<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/" debug="false">

    <!-- Preserve messages in a local file -->
    <appender name="FILE" class="org.apache.log4j.FileAppender">
        <param name="File" value="benerator.log"/>
        <param name="Append" value="false"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%d %-5p (%t) [%c] %m%n"/>
        </layout>
    </appender>

    <!-- Append messages to the console -->
    <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
        <param name="Target" value="System.out"/>
        <param name="Threshold" value="debug"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%d %-5p (%t) [%c] %m%n"/>
        </layout>
    </appender>


    <!-- Limit categories -->

    <category name="org.apache">
        <priority value="warn"/>
    </category>

    <category name="com.rapiddweller">
        <priority value="info"/>
    </category>

    <category name="com.rapiddweller.COMMENT">
        <priority value="debug"/>
    </category>

    <category name="com.rapiddweller.benerator.STATE">
        <priority value="info"/>
    </category>

    <category name="com.rapiddweller.domain">
        <priority value="info"/>
    </category>

    <!-- ======================= -->
    <!-- Setup the Root category -->
    <!-- ======================= -->

    <root>
        <priority value="info"/>
        <appender-ref ref="CONSOLE"/>
        <appender-ref ref="FILE"/>
    </root>

</log4j:configuration>
